JsonCpp project page | JsonCpp home page

Classes | Public Member Functions | List of all members
Json::CharReader Class Referenceabstract

Interface for reading JSON from a char array. More...

`#include <json/reader.h>`

Inheritance diagram for Json::CharReader:
Collaboration diagram for Json::CharReader:

## Classes
class | Factory

## Public Member Functions
virtual | ~CharReader ()
virtual bool | parse (char const *beginDoc, char const *endDoc, Value *root, std::string *errs)=0
| Read a Value from a JSON document. More...

## Detailed Description

Interface for reading JSON from a char array.

Definition at line 252 of file reader.h.

## Constructor & Destructor Documentation

## ◆ ~CharReader()

virtual Json::CharReader::~CharReader | ( |  | ) |
| inline virtual

Definition at line 254 of file reader.h.

References JSONCPP_STRING.

## Member Function Documentation

## ◆ parse()

virtual bool Json::CharReader::parse | ( | char const * | beginDoc,
|  | char const * | endDoc,
|  | Value * | root,
|  | std::string * | errs
| ) |  |
| pure virtual

Read a Value from a JSON document.

The document must be a UTF-8 encoded string containing the document to read.

Parameters

  beginDoc | Pointer on the beginning of the UTF-8 encoded string of the document to read.
  endDoc | Pointer on the end of the UTF-8 encoded string of the document to read. Must be >= beginDoc.
  root | [out] Contains the root value of the document if it was successfully parsed.
  errs | [out] Formatted error messages (if not NULL) a user friendly string that lists errors in the parsed document.

Returns
  `true` if the document was successfully parsed, `false` if an error occurred.

The documentation for this class was generated from the following file:

- include/json/reader.h